# Clean room

## List all Clean rooms

<mark style="color:blue;">`GET`</mark> [`https://api.mediarithmics.com/v1/clean_rooms?organisation_id=:organisation_id`](https://api.mediarithmics.com/v1/clean_rooms?organisation_id=:organisation_id)

**Query string Parameters**

| Name              | Type   | Description                                                     |
| ----------------- | ------ | --------------------------------------------------------------- |
| `organisation_id` | number | ID of the organisation for which the clean rooms will be listed |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "status": "ok",
    "data": [
        {
            "clean_room_id": "22",
            "organisation_id": "1863",
            "name": "Activation Clean room",
            "clean_room_organisations": [
                {
                    "clean_room_id": "22",
                    "organisation_id": "1863",
                    "organisation_name": "AV Sub 1.2",
                    "owner": true,
                    "status": "ACCEPTED",
                    "created_by": null,
                    "created_ts": 1734538881966,
                    "last_modified_by": null,
                    "last_modified_ts": null,
                    "archived": false,
                    "archived_by": null,
                    "archived_ts": null,
                    "purposes": [
                        "ACTIVATION"
                    ]
                },
                {
                    "clean_room_id": "22",
                    "organisation_id": "1752",
                    "organisation_name": "AV Sub 2.4",
                    "owner": false,
                    "status": "ACCEPTED",
                    "created_by": null,
                    "created_ts": 1734538881974,
                    "last_modified_by": null,
                    "last_modified_ts": null,
                    "archived": false,
                    "archived_by": null,
                    "archived_ts": null,
                    "purposes": [
                        "ACTIVATION"
                    ]
                }
            ]
        },
        {
            "clean_room_id": "21",
            "organisation_id": "1581",
            "name": "All purposes Clean room",
            "clean_room_organisations": [
                {
                    "clean_room_id": "21",
                    "organisation_id": "1863",
                    "organisation_name": "AV Sub 1.2",
                    "owner": true,
                    "status": "ACCEPTED",
                    "created_by": null,
                    "created_ts": 1734444429859,
                    "last_modified_by": null,
                    "last_modified_ts": null,
                    "archived": false,
                    "archived_by": null,
                    "archived_ts": null,
                    "purposes": [
                        "INSIGHTS",
                        "ACTIVATION"
                    ]
                },
                {
                    "clean_room_id": "21",
                    "organisation_id": "1752",
                    "organisation_name": "AV Sub 2.4",
                    "owner": false,
                    "status": "ACCEPTED",
                    "created_by": null,
                    "created_ts": 1734444429868,
                    "last_modified_by": null,
                    "last_modified_ts": null,
                    "archived": false,
                    "archived_by": null,
                    "archived_ts": null,
                    "purposes": [
                        "INSIGHTS",
                        "ACTIVATION"
                    ]
                }
            ]
        }
    ],
    "count": 2,
    "total": 2,
    "first_result": 0,
    "max_results": 2147483647
}
```

{% endtab %}
{% endtabs %}

## Get a Clean room

<mark style="color:blue;">`GET`</mark> [`https://api.mediarithmics.com/v1/clean_rooms/:clean_room_id`](https://api.mediarithmics.com/v1/clean_rooms/:clean_room_id)

**Query string Parameters**

| Name            | Type   | Description                      |
| --------------- | ------ | -------------------------------- |
| `clean_room_id` | number | ID of the clean room to retrieve |

**Response**

{% tabs %}
{% tab title="200" %}

````json
{
    "status": "ok",
    "data": {
        "clean_room_id": "21",
        "organisation_id": "1581",
        "name": "All purposes Clean room",
        "clean_room_organisations": [
            {
                "clean_room_id": "21",
                "organisation_id": "1863",
                "organisation_name": "AV Sub 1.2",
                "owner": true,
                "status": "ACCEPTED",
                "created_by": null,
                "created_ts": 1734444429859,
                "last_modified_by": null,
                "last_modified_ts": null,
                "archived": false,
                "archived_by": null,
                "archived_ts": null,
                "purposes": [
                    "INSIGHTS",
                    "ACTIVATION"
                ]
            },
            {
                "clean_room_id": "21",
                "organisation_id": "1752",
                "organisation_name": "AV Sub 2.4",
                "owner": false,
                "status": "ACCEPTED",
                "created_by": null,
                "created_ts": 1734444429868,
                "last_modified_by": null,
                "last_modified_ts": null,
                "archived": false,
                "archived_by": null,
                "archived_ts": null,
                "purposes": [
                    "INSIGHTS",
                    "ACTIVATION"
                ]
            }
        ]
    }
}
```
````

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.mediarithmics.io/advanced-usages/data-clean-room/clean-room.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
